注册 登录
明经CAD社区 返回首页

半听可乐的个人空间 http://www.mjtd.com/?414640 [收藏] [复制] [分享] [RSS]

统计信息

已有 544 人来访过

  • 图片数: 54

    现在还没有记录

  • 性别
  • 生日1987 年 3 月 5 日

查看全部个人资料

    现在还没有动态

现在还没有日志

你需要登录后才可以留言 登录 | 注册


gaics 2014-5-26 07:34
半听可乐: 大侠,您分享的图纸目录自动生成连接怎么打不开呢?能不能给分享一下,谢谢了!
哪个帖子?
669423907 2013-6-2 12:03
半听可乐: 这是极轴模式吧?可以分享一下正交模式的拉伸、镜像吗?
先选择对象再按快捷键就是正交,
先按快捷键再选择对象就是极轴,

拉伸,移动,镜像,都一样的,只要你替换掉哪个命令就行了
669423907 2013-5-30 22:31
(defun c:S() (setq ss (ssget"i")) (if (= ss nil)(S,)(S,,))) (defun S,() (setq ss (ssget)) (command "autosnap"63 "osmode"6079 "stretch" ss "") (princ)) (defun S,,() (command"stretch"(ssget)"") (setvar"orthomode"1) (setvar"osmode"6079) (while(=(logand(getvar"CmdActive")1)1)(command pause)) (setvar"autosnap"63) (princ)) ...
669423907 2013-5-30 22:30
我觉得这样还好用些
(defun C:M();正交移动
(command "move"(ssget)"")
(setvar"orthomode"1)
(setvar"osmode"6079)
(while(=(logand(getvar"CmdActive")1)1)(command pause))
(setvar"autosnap"63)
(princ))

(defun C:MM();极轴移动
(command "move"(ssget)"")
(setvar"autosnap"63)
(setvar"osmode" 6079)
(princ))
wowan1314 2013-5-24 00:04
半听可乐: 时隔半年,大侠带来精品,又要隐遁?
别叫大侠!我仅会一点!
最近没时间玩了!所以又打算潜水
叮咚 2013-5-11 21:21
半听可乐: 朋友,你给了我一个最佳答案,能否再画龙点睛?
http://bbs.mjtd.com/thread-100600-1-1.html
你真的是什么都不会?
多看看组码
(8 . Lb-坐标层)  
springwillow 2012-12-7 20:58
半听可乐: 孤帆大侠,我发现你太牛了!两个悬而未决的难题被你一下子就解决了,感谢感谢!如果有时间在帮我看看这个http://bbs.mjtd.com/thread-96333-1-1.html  关于自动标 ...
这个问题你可以问院长啊,他的程序和你的要求已经很接近了。呵呵,我水平也不高。
USER2128 2012-11-30 08:34
对块操作有BUG:先移动几个块,再移动某个没动过的块,右键确定,块消失……  
没有周密考虑“右键”情况,现在工作忙,无时间进一步打点原程序。
由于不经常在线,你可以给我留言或Email:781400968@qq.com;
非常感谢试用我的程序!
print1985 2012-9-3 12:49
半听可乐 : 朋友你好!你以前帮我写了一个程序 ;;;★改图元图层(图层移至指定层) (vl-load-com) ;冷水 (defun c:sj()(gtc "SJ_J")) (defun c:sjs()(gtc &qu ... 试试 (defun gtc (tcm /  ss k ent obj);改图层子程序   (if (setq ss (ssget))    (progn     (setq k 0)     (repeat (sslength ss)      (setq ent (ssname ss k))      (setq obj (vlax-ename->vla-object ent))    &nb ... ...
Andyhon 2012-9-2 13:04
半听可乐: 记忆移动程序经你进一步完善很好用,能不能把它再改成一个记忆复制程序呢?
(command "move" ss "" "none" p1 "none" mbd)
===>
(command "Copy" ss "" "none" p1 "none" mbd)
查看全部
最近访客

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-7-23 17:34 , Processed in 0.105339 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部